Type to search.

Get node information

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 1.3 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

By default, the API returns all attributes and core settings for cluster nodes.

Path parameters

node_id union string | string[] optional

Comma-separated list of node IDs or names used to limit returned information.

Leave it out to use /_nodes.

metric union string | string[] optional

Limits the information returned to the specific metrics. Supports a comma-separated list, such as http,ingest.

Leave it out to use /_nodes.

Query parameters

flat_settings boolean · default: false

If true, returns settings in flat format.

timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
cluster_name string required
nodes map string to object required
<string> object
attributes map string to string required
build_flavor string required
build_hash string required

Short hash of the last git commit in this release.

build_type string required
component_versions map string to number required
host string required

The node’s host name.

index_version number required
ip string required

The node’s IP address.

name string required

The node's name

roles enum[] required
Values: master data data_cold data_content data_frozen data_hot data_warm client ingest ml voting_only transform remote_cluster_client coordinating_only
thread_pool map string to object
total_indexing_buffer number

Total heap allowed to be used to hold recently indexed documents before they must be written to disk. This size is a shared pool across all shards on this node, and is controlled by Indexing Buffer settings.

total_indexing_buffer_in_bytes number | string

Same as total_indexing_buffer, but expressed in bytes.

transport_address string required

Host and port where transport HTTP connections are accepted.

transport_version number required
version string required

Elasticsearch version running on this node.

aggregations map string to object